Perl-Openssl libcrypt-openssl-dsa-perl安全绕过漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1184039 漏洞类型 授权问题
发布时间 2009-01-15 更新时间 2009-01-16
CVE编号 CVE-2009-0129 CNNVD-ID CNNVD-200901-190
漏洞平台 N/A CVSS评分 5.0
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200901-190
|漏洞详情
OpenSSL是OpenSSL团队开发的一个开源的能够实现安全套接层(SSLv2/v3)和安全传输层(TLSv1)协议的通用加密库,它支持多种加密算法,包括对称密码、哈希算法、安全散列算法等。libcrypt-openssl-dsa-perl没有正确处理函数OpenSSLDSA_verify,DSA_do_verify返回值,使系统存在安全绕过漏洞。远程攻击者可以通过伪造SSL/TLS签名绕过证书链表符合性检查。
|参考资料

来源:MLIST
名称:[oss-security]20090112CVERequest--tsqllib,slurm-llnl,libnasl,libcrypt-openssl-dsa-perl,erlang,boinc-client,m2crypto
链接:http://openwall.com/lists/oss-security/2009/01/12/4
来源:bugs.debian.org
链接:http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=511519